.background-video {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}

.contact-page {
    width: 100%;
    padding: 40px 20px 30px;
    text-align: center;
    background-color: #f4f4f9;
    background-image: url('Images/callCentre.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    position: relative;
    z-index: 1;
}

.container {
    max-width: 800px;
    width: 90%;
    margin: 0 auto;
    padding: 30px;
    background: rgba(255, 255, 255, 0.2);
    border-radius: 10px;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    box-sizing: border-box;
}

.contact-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    padding: 10px;
    box-sizing: border-box;
}

.form-group {
    margin-bottom: 15px;
    width: 100%;
    max-width: 500px;
    text-align: left;
}

.form-group label {
    display: block;
    font-weight: bold;
    margin-bottom: 5px;
}

.form-group input,
.form-group textarea {
    width: 100%;
    padding: 10px;
    font-size: 14px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

.form-group textarea {
    height: 150px;
    resize: vertical;
}

.submit-btn {
    display: block;
    width: 100%;
    max-width: 500px;
    padding: 10px 20px;
    font-size: 16px;
    background-color: #453529;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    transition: background-color 0.3s;
    box-sizing: border-box;
    text-align: center;
}

.submit-btn:hover {
    background-color: green;
    transition: transform 0.4s ease-in-out, color 0.4s ease-in-out;
    transform: scale(1.05);
}

.contact-details {
    margin-top: 40px;
    text-align: left;
    color: #333;
    width: 100%;
    max-width: 500px;
    margin-left: auto;
    margin-right: auto;
}

.contact-details p {
    font-size: 16px;
    margin-bottom: 15px;
}

@media (max-width: 768px) {
    .container {
        width: 90%;
        max-width: none;
        padding: 20px;
        margin: 0 auto;
        background: rgba(255, 255, 255, 0.2);
        border-radius: 10px;
        backdrop-filter: blur(10px);
        -webkit-backdrop-filter: blur(10px);
        box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
        margin-left: 0px;
    }

    .form-group {
        width: 100%;
        margin: 0 0 1rem;
    }

    .form-group label,
    .form-group input,
    .form-group textarea {
        width: 100%;
        margin: 0;
        font-size: 1rem;
    }

    .submit-btn {
        width: 100%;
        padding: 0.75rem;
        font-size: 1rem;
    }

    .background-video {
        display: none;
    }

    body {
        background: url('Images/callCentre.jpg') center/cover no-repeat;
    }
}
